#ifndef MAINCLASS_H
#define MAINCLASS_H
#include "intrabocal.h"
#include "epimafia.h"

class MainClass : public QObject
{
	Q_OBJECT
public:
	MainClass(QObject* p = 0);
	~MainClass();

private slots:
	void intraError(IntraBocal::Error e);

	void intraLogged();

	void intraSearchFinished(QList<QList<QString> > users);

	void nextSearch();

private:
	IntraBocal* m_intra;
	EpiUsers m_users;
	QStringList m_logins;
};

#endif // MAINCLASS_H
